This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 470050 - kms: video corruption playing ogg clips
kms: video corruption playing ogg clips
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-05 09:18 EST by Yanko Kaneti
Modified: 2008-11-17 21:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-17 21:23:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
combined screenshots demonstrating the bug (132.56 KB, image/png)
2008-11-05 09:18 EST, Yanko Kaneti
no flags Details
Xorg log (69.73 KB, text/plain)
2008-11-05 09:20 EST, Yanko Kaneti
no flags Details

  None (edit)
Description Yanko Kaneti 2008-11-05 09:18:50 EST
Created attachment 322574 [details]
combined screenshots demonstrating the bug

Attaching a combined screenshots of kms-only video corruption playing specifically ogg theora video files. 
( in this case http://www.gnome.org/~alexl/flicker.ogg )

kernel-2.6.27.4-79.fc10.i686
libdrm-2.4.0-0.21.fc10.i386
mesa-dri-drivers-7.2-0.13.fc10.i386
xorg-x11-drv-ati-6.9.0-41.fc10.i386
xorg-x11-server-Xorg-1.5.2-12.fc10.i386

Also attaching a Xorg.0.log
Comment 1 Yanko Kaneti 2008-11-05 09:20:10 EST
Created attachment 322576 [details]
Xorg log
Comment 2 Panu Matilainen 2008-11-09 04:53:59 EST
Me too... similar corruption in totem with mpg/wmv movies on ATI RV350 AP when KMS is used.
Comment 3 Dave Airlie 2008-11-09 20:34:41 EST
please try xorg-x11-drv-ati-6.9.0-43.fc10 from koji and let me know if it fixes it.
Comment 4 Yanko Kaneti 2008-11-10 07:02:00 EST
Yes, xorg-x11-drv-ati-6.9.0-43.fc10 fixes it for me.
Comment 5 Panu Matilainen 2008-11-10 08:28:06 EST
Likewise - thanks :)
Comment 6 Gianluca Sforna 2008-11-10 09:38:13 EST
Me too... I will test the package later at home.
Comment 7 Gianluca Sforna 2008-11-10 16:09:20 EST
No joy, the machine reboots at gdm, when fade-in effect should kick in.

Testing previous updates to find the offending patch
Comment 8 Gianluca Sforna 2008-11-10 16:38:44 EST
-41 works, -42 bombs. Maybe it's better to open another bug for this?

Note You need to log in before you can comment on or make changes to this bug.